import request from '@/utils/request'

// 查询工程用料预设列表
export function listEngineeringMaterialsResets(query) {
  return request({
    url: '/zdsz/engineeringMaterialsResets/list',
    method: 'get',
    params: query
  })
}

// 查询工程用料预设详细
export function getEngineeringMaterialsResets(id) {
  return request({
    url: '/zdsz/engineeringMaterialsResets/' + id,
    method: 'get'
  })
}

// 新增工程用料预设
export function addEngineeringMaterialsResets(data) {
  return request({
    url: '/zdsz/engineeringMaterialsResets',
    method: 'post',
    data: data
  })
}

// 修改工程用料预设
export function updateEngineeringMaterialsResets(data) {
  return request({
    url: '/zdsz/engineeringMaterialsResets',
    method: 'put',
    data: data
  })
}

// 删除工程用料预设
export function delEngineeringMaterialsResets(id) {
  return request({
    url: '/zdsz/engineeringMaterialsResets/' + id,
    method: 'delete'
  })
}
